<?php
add_action('init','of_options');

if (!function_exists('of_options'))
{
	function of_options()
	{
		//Access the WordPress Categories via an Array
		$of_categories 		= array();  
		$of_categories_obj 	= get_categories('hide_empty=0');
		foreach ($of_categories_obj as $of_cat) {
		    $of_categories[$of_cat->cat_ID] = $of_cat->cat_name;}
		$categories_tmp 	= array_unshift($of_categories, "Select a category:");    
	       
		//Access the WordPress Pages via an Array
		$of_pages 			= array();
		$of_pages_obj 		= get_pages('sort_column=post_parent,menu_order');    
		foreach ($of_pages_obj as $of_page) {
		    $of_pages[$of_page->ID] = $of_page->post_name; }
		$of_pages_tmp 		= array_unshift($of_pages, "Select a page:");       
	
		//Testing 
		$of_options_select 	= array("one","two","three","four","five"); 
		$of_options_radio 	= array("one" => "One","two" => "Two","three" => "Three","four" => "Four","five" => "Five");
		$of_options_featured_img 	= array("left" => "Left","right" => "Right","center" => "Center");
		//Sample Homepage blocks for the layout manager (sorter)
		$of_options_homepage_blocks = array
		( 
			"disabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_one"		=> "Block One",
				"block_two"		=> "Block Two",
				"block_three"	=> "Block Three",
			), 
			"enabled" => array (
				"placebo" 		=> "placebo", //REQUIRED!
				"block_four"	=> "Block Four",
			),
		);


		//Stylesheets Reader
		$alt_stylesheet_path = LAYOUT_PATH;
		$alt_stylesheets = array();
		
		if ( is_dir($alt_stylesheet_path) ) 
		{
		    if ($alt_stylesheet_dir = opendir($alt_stylesheet_path) ) 
		    { 
		        while ( ($alt_stylesheet_file = readdir($alt_stylesheet_dir)) !== false ) 
		        {
		            if(stristr($alt_stylesheet_file, ".css") !== false)
		            {
		                $alt_stylesheets[] = $alt_stylesheet_file;
		            }
		        }    
		    }
		}


		//Background Images Reader
		$bg_images_path = get_stylesheet_directory(). '/images/bg/'; // change this to where you store your bg images
		$bg_images_url = get_template_directory_uri().'/images/bg/'; // change this to where you store your bg images
		$bg_images = array();
		
		if ( is_dir($bg_images_path) ) {
		    if ($bg_images_dir = opendir($bg_images_path) ) { 
		        while ( ($bg_images_file = readdir($bg_images_dir)) !== false ) {
		            if(stristr($bg_images_file, ".png") !== false || stristr($bg_images_file, ".jpg") !== false) {
		            	natsort($bg_images); //Sorts the array into a natural order
		                $bg_images[] = $bg_images_url . $bg_images_file;
		            }
		        }    
		    }
		}
		

		/*-----------------------------------------------------------------------------------*/
		/* TO DO: Add options/functions that use these */
		/*-----------------------------------------------------------------------------------*/
		
		//More Options
		$uploads_arr 		= wp_upload_dir();
		$all_uploads_path 	= $uploads_arr['path'];
		$all_uploads 		= get_option('of_uploads');
		$other_entries 		= array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
		$body_repeat 		= array("no-repeat","repeat-x","repeat-y","repeat");
		$body_pos 			= array("top left","top center","top right","center left","center center","center right","bottom left","bottom center","bottom right");
		
		// Image Alignment radio box
		$of_options_thumb_align = array("alignleft" => "Left","alignright" => "Right","aligncenter" => "Center"); 
		
		// Image Links to Options
		$of_options_image_link_to = array("image" => "The Image","post" => "The Post"); 
		$logo_img = '<img src="'.get_template_directory_uri().'/images/logo.png" border="0">';
		
	//	$social_guide = array( 'name' => 'facebook', 'des' => 'fdsfdfdsffsfdfs');
/*-----------------------------------------------------------------------------------*/
/* The Options Array */
/*-----------------------------------------------------------------------------------*/

// Set the Options Array
global $of_options;
$of_options = array();


$of_options[] = array( 	"name" 		=> "General settings",
						"type" 		=> "heading",
				);
				
$of_options[] = array( 	"name" 		=> "Загрузить логотип",
						"desc" 		=> "Ваш загруженный логотип будет отображен здесь.</br> 
						<div class=\"explain-text\">Если у вас нет логотипа, то будет показано название и описание вашего сайта. Для правки заголовка и описания блога перейдите на <a href=\"" . admin_url('options-general.php') . "\">Настройки</a></div>",
						"id" 		=> "tp_site_logo",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> get_template_directory_uri() . '/images/logo.png',
						"mod"		=> "min",
						"type" 		=> "media"
				);
				
/*$of_options[] = array( 	"name" 		=> "No Logo? Use Site Name",
						"desc" 		=> "Check if you dont want to show the logo.</br> 
						<div class=\"explain-text\">If you dont have a logo to upload, then your your blog title and description will be shown. To edit your blog title and description go to <a href=\"" . admin_url('options-general.php') . "\">General Settings</a></div>",
						"id" 		=> "tp_logo_as_sitename",
						"std" 		=> 0,
						"type" 		=> "checkbox"
						
				);*/	
				
				$of_options[] = array( 	"name" 		=> "Background",
										"desc" 		=> "Ваш фон будет показан здесь.",
										"id" 		=> "tp_site_background",
										// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
										"std" 		=> get_template_directory_uri() . '/images/html-bg.jpg',
										"mod"		=> "min",
										"type" 		=> "media"
								);				
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "Проверьте, если вы хотите повторить картинку в фоне.",
										"id" 		=> "tp_background_repeat",
										"std" 		=> 0,
										"type" 		=> "checkbox"
								);				
								
								
				$of_options[] = array( 	"name" 		=> "",
										"desc" 		=> "Specify background color here.",
										"id" 		=> "tp_background_color",
										"std" 		=> array('color' => '#ffe1e1'),
										"type" 		=> "typography"
								);						
					
$of_options[] = array( 	"name" 		=> "Шрифт веб-страницы и цвет текста",
						"desc" 		=> "Укажите свойства шрифта",
						"id" 		=> "tp_body_font",
						"std" 		=> array('size' => '12px','face' => '"Helvetica Neue",Helvetica,Arial,sans-serif','color' => '#333333'),
						"type" 		=> "typography"
				);

$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Укажите цвет ссылок.",
						"id" 		=> "tp_link_color",
						"std" 		=> array('color' => '#88381D'),
						"type" 		=> "typography"
				);
								
$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Укажите цвет ссылок при наведении.",
						"id" 		=> "tp_hover_color",
						"std" 		=> array('color' => '#333333'),
						"type" 		=> "typography"
				);

$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Укажите цвет ссылок ранее посещенных ссылок.",
						"id" 		=> "tp_visited_link_color",
						"std" 		=> array('color' => '#88381D'),
						"type" 		=> "typography"
				);
/*								
$of_options[] = array( 	"name" 		=> "Favicon Icon",
						"desc" 		=> "Your uploaded favicon icon will be shown here.<br /><div class=\"explain-text\">If you don't upload a favicon, wordpress default favicon will be shown.</div>",
						"id" 		=> "tp_site_favicon",
						// Use the shortcodes [site_url] or [site_url_secure] for setting default URLs
						"std" 		=> "",
						"mod"		=> "min",
						"type" 		=> "media"
				);								
	*/							
$of_options[] = array( 	"name" 		=> "Layout",
						"type" 		=> "heading",
						);
				
$url =  ADMIN_DIR . 'assets/images/';

$of_options[] = array( 	"name" 		=> "Настройки популярных картинок: размер и позиция",
						"type" 		=> "tav",
						"desc" 		=> "<div class=\"explain-text\">Настройки популярных изображений в loop (главная, рубрики, метки, результаты поиска и архивы).</div>",
						"id" 		=> "tp_featured_image",
						
				);
								
$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Высота картинки (px) на главной.",
						"id" 		=> "tp_featured_loop_height",
						"std" 		=> "500",
						"min" 		=> "1",
						"step"		=> "3",
						"max" 		=> "750",
						"type" 		=> "sliderui" 
				);	
				
$of_options[] = array( 	"name" 		=> "",
						"desc" 		=> "Ширина картинки (px) на главной.",
						"id" 		=> "tp_featured_loop_width",
						"std" 		=> "300",
						"min" 		=> "1",
						"step"		=> "3",
						"max" 		=> "750",
						"type" 		=> "sliderui" 
				);	

$of_options[] = array( 	"name" 		=> "",
						//"desc" 		=> "Radio select with default of 'one'.",
						"desc" 		=> "Позиция картинки на главной.",
						"id" 		=> "tp_featured_loop_position",
						"std" 		=> "left",
						"type" 		=> "radio",
						"options" 	=> $of_options_featured_img
				);
$of_options[] = array( 	"name" 		=> 'Читать далее: отображаемый текст и лимит по кол-ву слов' ,
					//	"desc" 		=> "Add your Feedburner URL, or any other RSS link. Leave it blank if you dont like the RSS icon to be displayed.",
						"desc" 		=> "Текст Читать далее будет отображаться по умолчанию. <br />
						<div class=\"explain-text\">Данный текст отображается в конце цитат постов, чтобы прочесть полную версию статьи посетитель должен будет перейти по данной ссылке.</div>",
						"id" 		=> "tp_read_more",
						"std" 		=> "Читать далее",
						"type" 		=> "text"
				);
				
$of_options[] = array( 	"name" 		=> 'Цитаты',
						"desc" 		=> "Кол-во слов, отображаемое в цитатах постов.",
						"id" 		=> "tp_read_more_text_limit",
						"std" 		=> "100",
						"min" 		=> "1",
						"step"		=> "3",
						"max" 		=> "2000",
						"type" 		=> "sliderui" 
				);	

$of_options[] = array( 	"name" 		=> "Виджеты в подвале",
						"desc" 		=> "Отметьте галочкой, если вам нужны 3 блока виджетов в подвале.",
						"id" 		=> "tp_footer_widgets",
						"std" 		=> 1,
						"type" 		=> "checkbox"
				);


$of_options[] = array( 	"name" 		=> "Slider",
						"type" 		=> "heading"
				);
				
$of_options[] = array( 	"name" 		=> "Слайдер",
						"desc" 		=> "Отметьте галочкой, если вам нужен слайдер.",
						"id" 		=> "tp_primary_slider",
						"std" 		=> 0,
						"type" 		=> "checkbox"
						
				);	
								
$of_options[] = array( 	"name" 		=> "Добавить слайд",
						"desc" 		=> "Неограниченное кол-во слайдов с возможность сортировки перетаскиванием. <div class=\"explain-text\">Тема имеет ползунки по умолчанию, чтобы показать, как тема выглядит. Добавляя свои собственные ползунки ползунки умолчанию будут удалены автоматически.</div>",
						"id" 		=> "tp_slider",
						"std" 		=> "",
						"type" 		=> "slider"
				);
								
//Advanced Settings
$of_options[] = array( 	"name" 		=> "Menus",
						"type" 		=> "heading",
						);
				
$of_options[] = array( 	"name" 		=> "Главное меню",
						"desc" 		=> "Отметьте галочкой, чтобы показать это меню. <div class=\"explain-text\">Перейдите во Внешний вид -> Меню, чтобы задать пункты меню.</div>",
						"id" 		=> "tp_primary_menu",
						"std" 		=> 0,
						"type" 		=> "checkbox"
						
				);	
		
				
// Backup Options
$of_options[] = array( 	"name" 		=> "Integration",
						"type" 		=> "heading",
						);
				
$of_options[] = array( 	"name" 		=> "Произвольный CSS",
						"desc" 		=> "Добавьте сюда любой CSS без специальных отделяющих блоков и он тут же отобразится в головной части веб-страниц.",
						"id" 		=> "tp_custom_css",
						"std" 		=> "",
						"type" 		=> "textarea"
				);
				
$of_options[] = array( 	"name" 		=> "Код шапки",
						"desc" 		=> "Любой ваш код появится в головной части каждой веб-страницы сайта.",
						"id" 		=> "tp_head_code",
						"std" 		=> "",
						"type" 		=> "textarea"
				);

$of_options[] = array( 	"name" 		=> "Код подвала",
						"desc" 		=> "Любой ваш код появится в нижней части каждой веб-страницы сайта.",
						"id" 		=> "tp_footer_code",
						"std" 		=> "",
						"type" 		=> "textarea"

				);

// Social Options
$of_options[] = array( 	"name" 		=> "Social Options",
						"type" 		=> "heading",
						);


$of_options[] = array( 	"name" 		=> "Facebook",
						"desc" 		=> "Ссылка на ваш профиль в Facebook. Оставьте поле пустым, если не хотите, чтобы значок отображался.",
						"id" 		=> "tp_social_facebook",
						"std" 		=> "#",
						"type" 		=> "text"
				);
$of_options[] = array( 	"name" 		=> "Twitter",
						"desc" 		=> " 	
Ссылка на ваш профиль в Twitter. Оставьте поле пустым, если не хотите, чтобы значок отображался.",
						"id" 		=> "tp_social_twitter",
						"std" 		=> "#",
						"type" 		=> "text"
				);			

$of_options[] = array( 	"name" 		=> "Google Plus",
						"desc" 		=> "Ссылка на ваш профиль в Google Plus. Оставьте поле пустым, если не хотите, чтобы значок отображался.",
						"id" 		=> "tp_social_googleplus",
						"std" 		=> "#",
						"type" 		=> "text"
				);	
				
$of_options[] = array( 	"name" 		=> "LinkedIn",
						"desc" 		=> "Ссылка на ваш профиль в LinkedIn. Оставьте поле пустым, если не хотите, чтобы значок отображался.",
						"id" 		=> "tp_social_linkedin",
						"std" 		=> "#",
						"type" 		=> "text"
				);	
	

$of_options[] = array( 	"name" 		=> "YouTube",
						"desc" 		=> "Ссылка на ваш профиль в YouTube. Оставьте поле пустым, если не хотите, чтобы значок отображался.",
						"id" 		=> "tp_social_youtube",
						"std" 		=> "#",
						"type" 		=> "text"
				);

				
$of_options[] = array( 	"name" 		=> "RSS",
						"desc" 		=> "Ссылка на ваш профиль в Feedburner URL. Оставьте поле пустым, если не хотите, чтобы значок отображался.",
						"id" 		=> "tp_social_rss",
						"std" 		=> "#",
						"type" 		=> "text"
				);			
													
// Backup Options
/*
$of_options[] = array( 	"name" 		=> "Ads Placement",
						"type" 		=> "heading",
						);
															
$of_options[] = array( 	"name" 		=> "Banner Code",
						"desc" 		=> "Put header banner code here, it can be a script (Google Adsense, etc.) or a HTML code. <div class=\"explain-text\">This ad is for a specific place on you site, for some themes located on top header, for others below the slidershow. You can add more ads through <a href=\"\">widgets</a> by adding a \"Text\" widget on sidebar (or footer) and paste your ad code there.</div>",
						"id" 		=> "tp_banner_code",
						"std" 		=> '<a href="http://themepix.com"><img src="http://themepix.com/pix/uploads/ad-468.png" style="border: 0;" alt="Advertise Here" /></a>',
						"type" 		=> "textarea"
				);
	*/			
															

				
								
	}//End function: of_options()
}//End chack if function exists: of_options()
?>
